complexType "AdditionalData"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 5 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | mimeType, (string | hexadecimalBinary | base64Binary | originalMessage)
</...>

Content Model Elements (5):

  base64Binary (defined in AdditionalData complexType), hexadecimalBinary (defined in AdditionalData complexType), mimeType (defined in AdditionalData complexType), | originalMessage (defined in AdditionalData complexType), string (defined in AdditionalData complexType)

All Direct / Indirect Based Elements (2):

  additionalData (defined in Exception.model group), | additionalData (defined in Reason complexType)

Known Usage Locations

- As direct type of elements (2):

  additionalData (defined in Exception.model group), | additionalData (defined in Reason complexType)

Annotation
Provides extra information not represented in the model that may be useful in processing the message i.e. diagnosing the reason for failure.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="AdditionalData"> <xsd:sequence> <xsd:element name="mimeType" type="MimeType"/> <xsd:choice> <xsd:element name="string" type="xsd:string"/> <xsd:element name="hexadecimalBinary" type="xsd:hexBinary"/> <xsd:element name="base64Binary" type="xsd:base64Binary"/> <xsd:element name="originalMessage"> <xsd:complexType> <xsd:sequence> <xsd:any processContents="skip"/> </xsd:sequence> </xsd:complexType> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
base64Binary

  Type: | xsd:base64Binary, predefined, simple content

  Provides extra information as binary contents coded in base64.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="base64Binary" type="xsd:base64Binary"/>

hexadecimalBinary

  Type: | xsd:hexBinary, predefined, simple content

  Provides extra information as binary contents coded in hexadecimal.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="hexadecimalBinary" type="xsd:hexBinary"/>

mimeType

  Type: | MimeType, simple content

  Indicates the type of media used to provide the extra information. mimeType is used to determine the software product(s) that can read the content. MIME Types are described in RFC 2046.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="mimeType" type="MimeType"/>

originalMessage

  Type: | anonymous complexType, complex content

  Provides extra information as binary contents coded in base64.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="originalMessage"> <xsd:complexType> <xsd:sequence> <xsd:any processContents="skip"/> </xsd:sequence> </xsd:complexType> </xsd:element>

string

  Type: | xsd:string, predefined, simple content

  Provides extra information as string. In case the extra information is in XML format, a CDATA section must be placed around the source message to prevent its interpretation as XML content.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="string" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.